Subject: [TR] Portable garage

From: John Macartney <[email-masked]>
Date: Fri, 27 Feb 2026 14:54:14 +0000

Hi, Bill,

I understand your dilemma. Years ago before I retired from the BMIHT Museum, the curator was having a similar difficulty keeping the many prototype cars in the reserve collection free from rust and damp. When not on display they were locked in a nearby barn. He solved the problem by buying things called CarCoons and I’m sure similar examples must surely exist in the US. The carcoon is an inflatable plastic tent into which you drive the car and seal it in. The shelter is waterproof and has a small, low voltage dehumidifier to ensure damp and moisture are not admitted. I think BMIHT bought about 12 examples and added to that number when the Jaguar Daimler collection arrived and before a new facility was built to house them. Have a look at www.carcoon.com These things aren’t expensive and certainly far less than a body shop would charge to get rid of rust damage.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]